Package org.opencv.photo

## Class CalibrateDebevec

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.photo.CalibrateCRF
    - - org.opencv.photo.CalibrateDebevec

-     public class CalibrateDebevec
      extends CalibrateCRF

  Inverse camera response function is extracted for each brightness value by minimizing an objective function as linear system. Objective function is constructed using pixel values on the same position in all images, extra term is added to make the result smoother. For more information see CITE: DM97 .

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `CalibrateDebevec​(long addr)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static CalibrateDebevec` | `__fromPtr__​(long addr)` |
    `protected void` | `finalize()` |
    `float` | `getLambda()` |
    `boolean` | `getRandom()` |
    `int` | `getSamples()` |
    `void` | `setLambda​(float lambda)` |
    `void` | `setRandom​(boolean random)` |
    `void` | `setSamples​(int samples)` |

    - ### Methods inherited from class org.opencv.photo.CalibrateCRF

      `process`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, empty, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CalibrateDebevec

          protected CalibrateDebevec​(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static CalibrateDebevec __fromPtr__​(long addr)

    - #### getRandom

          public boolean getRandom()

    - #### getLambda

          public float getLambda()

    - #### getSamples

          public int getSamples()

    - #### setLambda

          public void setLambda​(float lambda)

    - #### setRandom

          public void setRandom​(boolean random)

    - #### setSamples

          public void setSamples​(int samples)

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `CalibrateCRF`
      Throws:
        `java.lang.Throwable`